LINTIAN-BRUSH(1)

NAME
lintian-brush - automatically fix lintian issues

SYNOPSIS
lintian-brush [-h] [--no-update-changelog] [--version] [--list-fixers] [--list-tags] [--diff] [TAGS [TAGS ...]]

DESCRIPTION
lintian-brush automatically applies a set of fixes for common lintian issues, adds the relevant changelog entries and commits the changes to the local version control system.

The tool's philosophy is to fix any issues for which it knows a correct fix, and to back off if it does not.

  positional arguments:

TAGS
    Lintian tag for which to apply fixers.

  optional arguments:

-h, --help
    show this help message and exit

--no-update-changelog
    Whether to update the changelog.

--version
    show program's version number and exit

--list-fixers
    List available fixers.

--list-tags
    List lintian tags for which fixers are available.

--fixers-dir DIRECTORY
    Override the fixers directory.

--diff
    After running all fixers, display the changes made as a single unified diff.

--modern
    Use features that require packages that are not yet available in Debian stable.

--identity
    Print the identity (name and e-mailaddress) that lintian-brush will use when committing changes, and exit.

--disable-net-access
    Do not attempt to use the network to e.g. retrieve additional package metadata from hosting sites, or to check whether a homepage is also available over HTTPS.

--dry-run
    Run fixers but do not actually make changes to the repository. Useful in particular in combination with --diff.

    Note that this currently will create a temporary clone of the repository, which may be slow for large repositories.

--verbose
    Be more verbose. For example, print list of fixers that was run and print tracebacks for failed fixers.

--uncertain, --yolo
    Make changes with lower certain than normal. This will potentially fix more issues, but is more likely to get things wrong. If changes with lower certainty were made, lintian-brush will let you know in its output.

--allow-reformatting
    Allow reformatting of files that are being changed, so long as this does not affect the semantics. This could mean stripping whitespace, but in some cases could also mean stripping comments.

WRITING AND DEBUGGING FIXERS
Fixer scripts for lintian-brush can be found under /usr/share/lintian-brush/fixers.

Lintian-brush normally takes care of making sure that the working tree doesn't contain any pending changes, of reverting changes when a fixer fails and of committing the changes and updating debian/changelog if necessary.

However, for testing purposes, you can also run the scripts directly in a packaging repository. See /usr/share/doc/lintian-brush/README.md.gz (section "Writing new fixers") for details about the expected behaviour from fixer scripts.

ENVIRONMENT

DEB_UPDATE_CHANGELOG
    Used to control whether the changelog should be updated, depending on whether it is set to "leave", "update" or "auto". The --update-changelog and --no-update-changelog arguments override this.

DEB_COMPAT_RELEASE
    Oldest Debian release to stay compatible with.

UDD_URL
    postgresql connection string to use to connect to UDD. Defaults to the public UDD mirror; see https://udd-mirror.debian.net/ for details.

EXAMPLES

$ lintian-brush --list-tags
    List all lintian tags for which fixers are available.

$ lintian-brush
    Run all fixers in the current Debian package.

SEE ALSO
lintian-brush.conf(5) apply-multiarch-hints(1) lintian(1)

AUTHORS
Jelmer Vernooij <jelmer@debian.org>